<?php
/** 
 * @version		$Id: mod_k2_quickicons.php 481 2010-06-16 17:36:08Z joomlaworks $
 * @author		JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2010 JoomlaWorks, a business unit of Nuevvo Webware Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
 
 /** Code for Checking Pre-installed Virtuemart on Joomla!
 * @package AkeebaBackup
 * @subpackage BackupIconModule
 * @copyright Copyright (c)2009-2010 Nicholas K. Dionysopoulos
 * @license GNU General Public License version 3, or later
 * @version $Id: mod_akadmin.php 138 2010-05-14 19:52:32Z nikosdion $
 */
 
 /**
 * @modified to adapt for Virtuemart Quickicons by JoomSpot.net
 */
 

// no direct access
defined('_JEXEC') or die('Restricted access');

// Make sure Virtuemart is installed, or quit.
$vm_installed = @file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_virtuemart'.DS.'version.php');
if(!$vm_installed) return;

// JoomlaWorks reference parameters
$mod_name               = "mod_vm_quickicons";

// API
$mainframe	= &JFactory::getApplication();
$document 	= &JFactory::getDocument();


// QuickIcons include
$quickIconsFile = JPATH_ADMINISTRATOR.DS.'modules'.DS.'mod_vm_quickicons'.DS.'default_quickicons.php';

// Append CSS to the document's head
$document->addStyleSheet(JURI::root().'administrator/modules/'.$mod_name.'/tmpl/css/style.css');

// Output content with template
require(JModuleHelper::getLayoutPath($mod_name,'default'));

